<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.device.mapper.SubstationMapper">
<select id="getSubstationData" resultType="com.njcn.device.pojo.vo.SubstationDetailVO">
    SELECT
        line.id id,
        line.NAME srbName,
        sub.Lng coordY,
        sub.Lat coordX,
        "blue" color
    FROM
        pq_line line,
        pq_substation sub
    WHERE
        line.Id = sub.Id
    AND
        sub.Id IN
    <foreach collection="id" item="item" open="(" close=")" separator=",">
        #{item}
    </foreach>
</select>
</mapper>
